<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAlarmHandling: fwAlarmHandlingScreen.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAlarmHandling
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAlarmHandlingScreen_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwAlarmHandlingScreen.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af12113119d70920c33cd5e142c619262"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#af12113119d70920c33cd5e142c619262">fwAlarmHandlingScreen_readFilter</a> (dyn_dyn_anytype &amp;aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af12113119d70920c33cd5e142c619262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae86bb81ee288c62f538f3805346bf7e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#ae86bb81ee288c62f538f3805346bf7e9">fwAlarmHandlingScreen_showFilter</a> (dyn_dyn_anytype aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae86bb81ee288c62f538f3805346bf7e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa65cae371e58c76241e9bf214d1c38f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aa65cae371e58c76241e9bf214d1c38f8">fwAlarmHandlingScreen_loadFilter</a> (string fwAesConfigDp, dyn_dyn_anytype &amp;aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa65cae371e58c76241e9bf214d1c38f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e68313b8e52fcd695024fadfd9f4ee4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a2e68313b8e52fcd695024fadfd9f4ee4">fwAlarmHandlingScreen_saveFilter</a> (string fwAesConfigDp, dyn_dyn_anytype aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2e68313b8e52fcd695024fadfd9f4ee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adefb8032f546cfbde55b9b8773e76744"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#adefb8032f546cfbde55b9b8773e76744">fwAlarmHandlingScreen_applyFilter</a> (string pvssAesPropertiesDp, dyn_dyn_anytype aesFilter, dyn_string &amp;exceptionInfo, bool updateAes=TRUE)</td></tr>
<tr class="separator:adefb8032f546cfbde55b9b8773e76744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896424118a413543bc10f09752b80830"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a896424118a413543bc10f09752b80830">fwAlarmHandlingScreen_evaluateDpFilter</a> (dyn_dyn_anytype aesFilter, dyn_string &amp;evaluatedFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a896424118a413543bc10f09752b80830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b0900a88ef253f7aa95b1dcd3bfc92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aa4b0900a88ef253f7aa95b1dcd3bfc92">_fwAlarmHandlingScreen_removeAsteriskFilters</a> (dyn_string &amp;filter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa4b0900a88ef253f7aa95b1dcd3bfc92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b37814b81be5b259d8a644d3d228b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a24b37814b81be5b259d8a644d3d228b6">fwAlarmHandlingScreen_evaluateSeverityFilter</a> (dyn_dyn_anytype aesFilter, string &amp;evaluatedFilter, dyn_string &amp;exceptionInfo, int localOrGlobal=0)</td></tr>
<tr class="separator:a24b37814b81be5b259d8a644d3d228b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa50e4a98b0d64767f2ba8e0efa15698f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aa50e4a98b0d64767f2ba8e0efa15698f">_fwAlarmHandlingScreen_getDefaultFilter</a> (dyn_dyn_anytype &amp;aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa50e4a98b0d64767f2ba8e0efa15698f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31f2af0c8ffdfda8ae3e45c0e958127d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a31f2af0c8ffdfda8ae3e45c0e958127d">_fwAlarmHandlingScreen_getDefaultMode</a> (dyn_anytype &amp;aesMode, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a31f2af0c8ffdfda8ae3e45c0e958127d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9f43be573543dc1237fa8943a3c2124"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aa9f43be573543dc1237fa8943a3c2124">fwAlarmHandlingScreen_readMode</a> (dyn_anytype &amp;aesMode, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa9f43be573543dc1237fa8943a3c2124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab31b3d959639fba5ca725c9c892f3d1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aab31b3d959639fba5ca725c9c892f3d1">fwAlarmHandlingScreen_showMode</a> (dyn_anytype &amp;aesMode, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aab31b3d959639fba5ca725c9c892f3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb8a1846ddecf7124c0b3afa439374fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#acb8a1846ddecf7124c0b3afa439374fa">fwAlarmHandlingScreen_applyMode</a> (string pvssAesPropertiesDp, dyn_anytype aesMode, dyn_string &amp;exceptionInfo, bool updateAes=TRUE)</td></tr>
<tr class="separator:acb8a1846ddecf7124c0b3afa439374fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4073f0e72eb05c48fcfbf31610172159"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a4073f0e72eb05c48fcfbf31610172159">_fwAlarmHandlingScreen_convertFilterToDollar</a> (dyn_dyn_anytype aesFilter, string &amp;dollarValue, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a4073f0e72eb05c48fcfbf31610172159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad998854aea4243836130839f4ee5796"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aad998854aea4243836130839f4ee5796">_fwAlarmHandlingScreen_convertDollarToFilter</a> (string dollarValue, dyn_dyn_anytype &amp;aesFilter, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aad998854aea4243836130839f4ee5796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed5e995ce09fbb9a9f61b9aefbd5146e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aed5e995ce09fbb9a9f61b9aefbd5146e">_fwAlarmHandlingScreen_showHideColumn</a> (string pvssAesPropertiesDp, string columnName, bool visible, dyn_string &amp;exceptionInfo, bool updateAes=FALSE)</td></tr>
<tr class="separator:aed5e995ce09fbb9a9f61b9aefbd5146e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776eedadefde7d25ab684f99d85a9bdc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a776eedadefde7d25ab684f99d85a9bdc">_fwAlarmHandlingScreen_showHideColumns</a> (string pvssAesPropertiesDp, dyn_string columnName, dyn_bool visible, dyn_string &amp;exceptionInfo, bool updateAes=FALSE)</td></tr>
<tr class="separator:a776eedadefde7d25ab684f99d85a9bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b82492fe050e467e6870b03d28f031"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a03b82492fe050e467e6870b03d28f031">fwAlarmHandlingScreen_getColumnWidths</a> (dyn_string &amp;columnsName, dyn_bool &amp;columnsVisible, dyn_int &amp;columnsWidth, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a03b82492fe050e467e6870b03d28f031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56eb25e490991ae3c026c3c4a144a653"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a56eb25e490991ae3c026c3c4a144a653">fwAlarmHandlingScreen_setColumnWidths</a> (dyn_string columnsName, dyn_bool columnsVisible, dyn_int columnsWidth, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a56eb25e490991ae3c026c3c4a144a653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d0c76401ff2f55a317c8d51f127828"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a03d0c76401ff2f55a317c8d51f127828">fwAlarmHandlingScreen_setDescriptionColumnBehaviour</a> (int columnBehaviour, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a03d0c76401ff2f55a317c8d51f127828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad1eece1db13e3f4b1736a2106aedb5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#aad1eece1db13e3f4b1736a2106aedb5e">fwAlarmHandlingScreen_setOneRowPerAlarm</a> (bool oneRowPerAlarm, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aad1eece1db13e3f4b1736a2106aedb5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abab3723a6f4f00ed75c388c600ccb21e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#abab3723a6f4f00ed75c388c600ccb21e">fwAlarmHandlingScreen_getOneRowPerAlarm</a> (bool &amp;oneRowPerAlarm, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:abab3723a6f4f00ed75c388c600ccb21e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d20e9ac1886ebe277df13c4800f843a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreen_8ctl.html#a1d20e9ac1886ebe277df13c4800f843a">fwAlarmHandlingScreen_getDescriptionColumnBehaviour</a> (int &amp;columnBehaviour, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a1d20e9ac1886ebe277df13c4800f843a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains functions for the internal workings of the JCOP Alarm Screen.</p>
<dl class="section user"><dt>Creation Date</dt><dd>02/02/2006</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd><pre class="fragment">13/08/2012 Marco
</pre><ul>
<li><p class="startli">@jira{FWAH-260}: Alarm screen with Groups: "New" alarms on the groups are not updated. Added new function _fwAlarmHandlingScreen_addHelpOpenComment() that marks as comment the time when the user opens the alarm help by right-clicking on the corresponding alarm line</p>
<p class="startli">21/032011 Marco</p>
</li>
<li><p class="startli">@sav{78859}: filters for dpNames can now accept multiple items.</p>
<p class="startli">13/04/2010 Marco</p>
</li>
<li><p class="startli">@sav{42996}: commented out the convertion from * to full list of dist system names.</p>
<p class="startli">07/04/2010 Marco</p>
</li>
<li><p class="startli">@sav{55217}: commented out the use of function _fwAlarmHandling_convertSeverityRangeToList().</p>
<p class="startli">2010/03/26 Marco</p>
</li>
<li>Added Local/Global alarm filtering (based on class priority - thanks Oliver Holme).</li>
<li>Added possibility to set a maximum number of historical alerts to be displayed (functions fwAlarmHandlingScreen_setHistoricalMaxLines(), fwAlarmHandlingScreen_getHistoricalMaxLines()).</li>
<li>Created function <a class="el" href="fwAlarmHandlingScreen_8ctl.html#a776eedadefde7d25ab684f99d85a9bdc">_fwAlarmHandlingScreen_showHideColumns()</a>: handles table much more efficiently.</li>
</ul>
</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="af12113119d70920c33cd5e142c619262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af12113119d70920c33cd5e142c619262">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_readFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_readFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reads the filter options from the alarm screen filter graphical objects</p>
<dl class="section user"><dt>Constraints</dt><dd>The function can only be called from within the JCOP FW Alarm Screen</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object is returned here with the filter as defined in the graphical objects Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae86bb81ee288c62f538f3805346bf7e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae86bb81ee288c62f538f3805346bf7e9">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_showFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_showFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Shows the given filter options in the alarm screen filter graphical objects</p>
<dl class="section user"><dt>Constraints</dt><dd>The function can only be called from within the JCOP FW Alarm Screen</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data to display in the graphical objects Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa65cae371e58c76241e9bf214d1c38f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa65cae371e58c76241e9bf214d1c38f8">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_loadFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_loadFilter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fwAesConfigDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reads the filter options from the given filter configuration data point</p>
<dl class="section user"><dt>Constraints</dt><dd>Only works with JCOP FW Alarm filter configuration DPs (DPT="fwAlarmHandlingScreen_FILTER_DP_TYPE")</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fwAesConfigDp</td><td>The filter configuration data point to read from </td></tr>
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is returned here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2e68313b8e52fcd695024fadfd9f4ee4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e68313b8e52fcd695024fadfd9f4ee4">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_saveFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_saveFilter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>fwAesConfigDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Saves the filter options to the given filter configuration data point</p>
<dl class="section user"><dt>Constraints</dt><dd>Only works with JCOP FW Alarm filter configuration DPs (DPT="fwAlarmHandlingScreen_FILTER_DP_TYPE")</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fwAesConfigDp</td><td>The filter configuration data point to write to </td></tr>
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adefb8032f546cfbde55b9b8773e76744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adefb8032f546cfbde55b9b8773e76744">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_applyFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_applyFilter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pvssAesPropertiesDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updateAes</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Applies the given filter options to the given PVSS runtime properties dp. The given PVSS runtime dp should be the one that corresponds to the alarm screen display you want to update. This can be obtained using "aes_getPropDpName()" and the dp should be of type "_AESProperties".</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssAesPropertiesDp</td><td>The PVSS runtime properties dp for the given alarm screen </td></tr>
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">updateAes</td><td>OPTIONAL PARAMETER - default value TRUE If TRUE, perform aes_doRestart after setting the new filter If FALSE, do not perform aes_doRestart </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a896424118a413543bc10f09752b80830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a896424118a413543bc10f09752b80830">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_evaluateDpFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_evaluateDpFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>evaluatedFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Calculates from the given filter options, the most compact filter to pass to the PVSS runtime properties dp. For simple filters, this could involve just the DP name filter - e.g. "CAEN/*". However, for more complex filters, it will usually be a list of DPs that match all the filter criteria.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">evaluatedFilter</td><td>The most compact form to express the result of the filter is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa4b0900a88ef253f7aa95b1dcd3bfc92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4b0900a88ef253f7aa95b1dcd3bfc92">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_removeAsteriskFilters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_removeAsteriskFilters </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>filter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets any "*" filters to "". The PVSS alarm screen requires "" instead of "*" to mean ALL for some filtering criteria. If any other criteria are given as well as a "*", then they are ignored as everything will already meet the "*" criteria.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filter</td><td>Input/Output - The filter to reduce and make ready for the PVSS alarm screen </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a24b37814b81be5b259d8a644d3d228b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24b37814b81be5b259d8a644d3d228b6">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_evaluateSeverityFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_evaluateSeverityFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>evaluatedFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>localOrGlobal</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Calculates from the given filter options, the priority filter which needs to be passed to the PVSS runtime properties dp. This function basically converts from FW severity (W,E,F) to PVSS priorities (40-59,60-79,80-255)</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">evaluatedFilter</td><td>The priority filter for the PVSS alarm screen is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">localOrGlobal</td><td>Optional parameter - default value 0 If 0, show all alerts in ranges (e.g. 40-59 for WARNING) If 1, show upper part of ranges - assumed to be global alerts (e.g. 50-59 for WARNING) If 2, show lower part of ranges - assumed to be local alerts (e.g. 40-49 for WARNING) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa50e4a98b0d64767f2ba8e0efa15698f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa50e4a98b0d64767f2ba8e0efa15698f">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_getDefaultFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_getDefaultFilter </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets a filter object configured with the default filter criteria (basically ALL)</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object is returned here with the default filter criteria Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a31f2af0c8ffdfda8ae3e45c0e958127d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31f2af0c8ffdfda8ae3e45c0e958127d">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_getDefaultMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_getDefaultMode </td>
          <td>(</td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets a mode object configured with the default mode options for the alarm screen</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesMode</td><td>The mode object is returned here with the default filter criteria Use the fwAlarmHandlingScreen_CONFIG_OBJECT_MODE_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa9f43be573543dc1237fa8943a3c2124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9f43be573543dc1237fa8943a3c2124">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_readMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_readMode </td>
          <td>(</td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reads the mode options from the alarm screen mode graphical objects</p>
<dl class="section user"><dt>Constraints</dt><dd>The function can only be called from within the JCOP FW Alarm Screen</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesMode</td><td>The mode object is returned here with the mode criteria as defined in the graphical objects Use the fwAlarmHandlingScreen_CONFIG_OBJECT_MODE_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aab31b3d959639fba5ca725c9c892f3d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab31b3d959639fba5ca725c9c892f3d1">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_showMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_showMode </td>
          <td>(</td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Shows the given mode options in the alarm screen mode graphical objects</p>
<dl class="section user"><dt>Constraints</dt><dd>The function can only be called from within the JCOP FW Alarm Screen</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesMode</td><td>The mode object with the mode data to display in the graphical objects Use the fwAlarmHandlingScreen_CONFIG_OBJECT_MODE_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acb8a1846ddecf7124c0b3afa439374fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb8a1846ddecf7124c0b3afa439374fa">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_applyMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_applyMode </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pvssAesPropertiesDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>aesMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updateAes</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Applies the given mode options to the given PVSS runtime properties dp. The given PVSS runtime dp should be the one that corresponds to the alarm screen display you want to update. This can be obtained using "aes_getPropDpName()" and the dp should be of type "_AESProperties".</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssAesPropertiesDp</td><td>The PVSS runtime properties dp for the given alarm screen </td></tr>
    <tr><td class="paramname">aesMode</td><td>The mode object with the mode data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_MODE_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">updateAes</td><td>OPTIONAL PARAMETER - default value TRUE If TRUE, perform aes_doRestart after setting the new mode If FALSE, do not perform aes_doRestart </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4073f0e72eb05c48fcfbf31610172159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4073f0e72eb05c48fcfbf31610172159">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_convertFilterToDollar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_convertFilterToDollar </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>dollarValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function converts a filter configuration object into a string value that can be passed as a dollar parameter. To decode the string back into a filter ibject, use <a class="el" href="fwAlarmHandlingScreen_8ctl.html#aad998854aea4243836130839f4ee5796">_fwAlarmHandlingScreen_convertDollarToFilter()</a>.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is passed here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">dollarValue</td><td>The string value to be passed as a dollar parameter is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad998854aea4243836130839f4ee5796"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad998854aea4243836130839f4ee5796">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_convertDollarToFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_convertDollarToFilter </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dollarValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>aesFilter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function converts a string representation of a filter into a filter object. To decode the string back into a filter object, use <a class="el" href="fwAlarmHandlingScreen_8ctl.html#a4073f0e72eb05c48fcfbf31610172159">_fwAlarmHandlingScreen_convertFilterToDollar()</a>.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dollarValue</td><td>The string equivalent of the filter object is passed here </td></tr>
    <tr><td class="paramname">aesFilter</td><td>The filter object with the filter data is returned here Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aed5e995ce09fbb9a9f61b9aefbd5146e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed5e995ce09fbb9a9f61b9aefbd5146e">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_showHideColumn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_showHideColumn </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pvssAesPropertiesDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>columnName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>visible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updateAes</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Changes the visibility of the named column in the Alarm Screen. The given PVSS runtime dp should be the one that corresponds to the alarm screen display you want to update. This can be obtained using "aes_getPropDpName()" and the dp should be of type "_AESProperties".</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssAesPropertiesDp</td><td>The PVSS runtime properties dp for the given alarm screen </td></tr>
    <tr><td class="paramname">columnName</td><td>The name of the column to be hidden/shown </td></tr>
    <tr><td class="paramname">visible</td><td>TRUE to show column, FALSE to hide columns </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">updateAes</td><td>OPTIONAL PARAMETER - default value TRUE If TRUE, perform aes_doRestart after setting the new filter If FALSE, do not perform aes_doRestart </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a776eedadefde7d25ab684f99d85a9bdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a776eedadefde7d25ab684f99d85a9bdc">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreen_showHideColumns()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwAlarmHandlingScreen_showHideColumns </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>pvssAesPropertiesDp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>columnName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool&#160;</td>
          <td class="paramname"><em>visible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updateAes</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Changes the visibility of the named columns in the Alarm Screen. The given PVSS runtime dp should be the one that corresponds to the alarm screen display you want to update. This can be obtained using "aes_getPropDpName()" and the dp should be of type "_AESProperties".</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pvssAesPropertiesDp</td><td>The PVSS runtime properties dp for the given alarm screen </td></tr>
    <tr><td class="paramname">columnName</td><td>The array of names of the columns to be hidden/shown </td></tr>
    <tr><td class="paramname">visible</td><td>The array of values for the columns: TRUE to show column, FALSE to hide column </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">updateAes</td><td>OPTIONAL PARAMETER - default value TRUE If TRUE, perform aes_doRestart after setting the new filter If FALSE, do not perform aes_doRestart </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a03b82492fe050e467e6870b03d28f031"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b82492fe050e467e6870b03d28f031">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_getColumnWidths()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_getColumnWidths </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>columnsName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>columnsVisible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>columnsWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reads the column names, visibility and widths of the alarm screen table in the current panel.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">columnsName</td><td>The list of names of the columns that are in the current alarm screen table. </td></tr>
    <tr><td class="paramname">columnsVisible</td><td>The list of BOOLEANs representing the current visible state of each column. TRUE to show column, FALSE to hide columns </td></tr>
    <tr><td class="paramname">columnsWidth</td><td>The list of the current widths of each column. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a56eb25e490991ae3c026c3c4a144a653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56eb25e490991ae3c026c3c4a144a653">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_setColumnWidths()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_setColumnWidths </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>columnsName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool&#160;</td>
          <td class="paramname"><em>columnsVisible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>columnsWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the column visibility and widths of the given columns in the alarm screen table in the current panel.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">columnsName</td><td>The list of names of the columns to configure. </td></tr>
    <tr><td class="paramname">columnsVisible</td><td>The list of BOOLEANs representing the desired visible state of each column. TRUE to show column, FALSE to hide columns </td></tr>
    <tr><td class="paramname">columnsWidth</td><td>The list of desired widths of each column. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a03d0c76401ff2f55a317c8d51f127828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03d0c76401ff2f55a317c8d51f127828">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_setDescriptionColumnBehaviour()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_setDescriptionColumnBehaviour </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>columnBehaviour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the behaviour of the description column. If no description exists on the alarm dpe, or the root dpe of the dp, then either an empty string or the dpe name can be shown.</p>
<dl class="section user"><dt>Constraints</dt><dd>Must close and reopen the Alarm Screen to see the effect</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">columnBehaviour</td><td>any of the constants fwAlarmHandling_BEHAVIOUR_... </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad1eece1db13e3f4b1736a2106aedb5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad1eece1db13e3f4b1736a2106aedb5e">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_setOneRowPerAlarm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_setOneRowPerAlarm </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>oneRowPerAlarm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets one line per alarm or one line per event (i.e. one line per CAME, one line per WENT).</p>
<dl class="section user"><dt>Constraints</dt><dd>Must close and reopen the Alarm Screen to see the effect</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oneRowPerAlarm</td><td>input, TRUE - one line per alarm. CAM or WENT is shown, with the last timestamp. FALSE - one line for CAME, one line for WENT. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abab3723a6f4f00ed75c388c600ccb21e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abab3723a6f4f00ed75c388c600ccb21e">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_getOneRowPerAlarm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_getOneRowPerAlarm </td>
          <td>(</td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>oneRowPerAlarm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets one line per alarm or one line per event (i.e. one line per CAME, one line per WENT).</p>
<dl class="section user"><dt>Constraints</dt><dd>Must close and reopen the Alarm Screen to see the effect</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oneRowPerAlarm</td><td>output, TRUE - one line per alarm. CAM or WENT is shown, with the last timestamp. FALSE - one line for CAME, one line for WENT. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1d20e9ac1886ebe277df13c4800f843a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d20e9ac1886ebe277df13c4800f843a">&#9670;&nbsp;</a></span>fwAlarmHandlingScreen_getDescriptionColumnBehaviour()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwAlarmHandlingScreen_getDescriptionColumnBehaviour </td>
          <td>(</td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>columnBehaviour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the current behaviour of the description column. If no description exists on the alarm dpe, or the root dpe of the dp, then either an empty string or the dpe name can be shown.</p>
<dl class="section user"><dt>Constraints</dt><dd>Must close and reopen the Alarm Screen to see the effect</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">columnBehaviour</td><td>any of the constants fwAlarmHandling_BEHAVIOUR_... </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlarmHandlingScreen_8ctl.html">fwAlarmHandlingScreen.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
